<?php

/* Compatibilidad mysql_* para PHP 7 usando mysqli */

$GLOBAL_MYSQL_LINK = null;

function mysql_connect($host, $user, $pass){
    global $GLOBAL_MYSQL_LINK;
    $GLOBAL_MYSQL_LINK = mysqli_connect($host, $user, $pass);
    return $GLOBAL_MYSQL_LINK;
}

function mysql_select_db($dbname){
    global $GLOBAL_MYSQL_LINK;
    return mysqli_select_db($GLOBAL_MYSQL_LINK, $dbname);
}

function mysql_query($query){
    global $GLOBAL_MYSQL_LINK;
    return mysqli_query($GLOBAL_MYSQL_LINK, $query);
}

function mysql_fetch_array($result){
    return mysqli_fetch_array($result);
}

function mysql_fetch_assoc($result){
    return mysqli_fetch_assoc($result);
}

function mysql_num_rows($result){
    return mysqli_num_rows($result);
}

function mysql_error(){
    global $GLOBAL_MYSQL_LINK;
    return mysqli_error($GLOBAL_MYSQL_LINK);
}

function mysql_insert_id(){
    global $GLOBAL_MYSQL_LINK;
    return mysqli_insert_id($GLOBAL_MYSQL_LINK);
}

function mysql_close(){
    global $GLOBAL_MYSQL_LINK;
    return mysqli_close($GLOBAL_MYSQL_LINK);
}

?>
